GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | Friends | List of all members
gridfire::NetOut Struct Reference

`#include <types.h>`

## Public Attributes
fourdst::composition::Composition | composition
| Composition of the network after evaluation.
int | num_steps
| Number of steps taken in the evaluation.
double | energy
| Energy in ergs after evaluation.
double | dEps_dT
| Partial derivative of energy generation rate with respect to temperature.
double | dEps_dRho
| Partial derivative of energy generation rate with respect to density.
double | specific_neutrino_energy_loss
| Neutrino energy loss rate in ergs/g/s.
double | specific_neutrino_flux
| Total neutrino flux in neutrinos/g/s.

## Friends
std::ostream & | operator<< (std::ostream &os, const NetOut &netOut)

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const NetOut & | netOut )
| friend

## Member Data Documentation

## ◆ composition

fourdst::composition::Composition gridfire::NetOut::composition

Composition of the network after evaluation.

## ◆ dEps_dRho

double gridfire::NetOut::dEps_dRho

Partial derivative of energy generation rate with respect to density.

## ◆ dEps_dT

double gridfire::NetOut::dEps_dT

Partial derivative of energy generation rate with respect to temperature.

## ◆ energy

double gridfire::NetOut::energy

Energy in ergs after evaluation.

## ◆ num_steps

int gridfire::NetOut::num_steps

Number of steps taken in the evaluation.

## ◆ specific_neutrino_energy_loss

double gridfire::NetOut::specific_neutrino_energy_loss

Neutrino energy loss rate in ergs/g/s.

## ◆ specific_neutrino_flux

double gridfire::NetOut::specific_neutrino_flux

Total neutrino flux in neutrinos/g/s.

The documentation for this struct was generated from the following file:

- src/include/gridfire/types/types.h